CREATE OR REPLACE TYPE MojTypNested AS TABLE OF VARCHAR2(30);
/

CREATE TABLE MojaTabela(
Kolumna INTEGER,
tabela MojTypNested) 
NESTED TABLE tabela STORE AS MojaTabelaNested;

INSERT INTO MojaTabela VALUES(1,MojTypNested('wartość1','wartość2'));
INSERT INTO MojaTabela VALUES(2,MojTypNested('wartość1','wartość1','wartość3'));
INSERT INTO MojaTabela VALUES(3,NULL);
INSERT INTO MojaTabela VALUES(4, MojTypNested());

SELECT tabela FROM MojaTabela;

SELECT a.Kolumna, b.* FROM MojaTabela a, TABLE(a.tabela) b;

SELECT * FROM MojaTabela WHERE tabela IS NOT EMPTY;

SELECT * FROM MojaTabela WHERE tabela IS A SET;

SELECT * FROM MojaTabela WHERE 'wartość1' MEMBER OF tabela;

SELECT * FROM MojaTabela WHERE MojTypNested('wartość1','wartość3') SUBMULTISET OF tabela;

